petsc-3.4.2 2013-07-02

# MatGetDiagonalBlock

Returns the part of the matrix associated with the on-process coupling

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetDiagonalBlock(Mat A,Mat *a)

Not Collective

### Input Parameters

A -the matrix

### Output Parameters

a -the diagonal part (which is a SEQUENTIAL matrix)

Notes: see the manual page for MatCreateAIJ() for more information on the "diagonal part" of the matrix.

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages